summaryrefslogtreecommitdiffstats
path: root/source/ap/enscript
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/enscript')
-rwxr-xr-xsource/ap/enscript/enscript.SlackBuild18
-rw-r--r--source/ap/enscript/slack-desc12
2 files changed, 20 insertions, 10 deletions
diff --git a/source/ap/enscript/enscript.SlackBuild b/source/ap/enscript/enscript.SlackBuild
index 096e4eea3..bb2f250d8 100755
--- a/source/ap/enscript/enscript.SlackBuild
+++ b/source/ap/enscript/enscript.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=enscript
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -34,6 +36,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i586" ]; then
@@ -46,7 +56,6 @@ else
SLKCFLAGS="-O2"
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-enscript
@@ -75,6 +84,7 @@ CFLAGS="$SLKCFLAGS" \
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Leave these without || exit 1, it's broke
make -i install-man DESTDIR=$PKG
make -i install-info DESTDIR=$PKG
diff --git a/source/ap/enscript/slack-desc b/source/ap/enscript/slack-desc
index 877b8a480..e5475e6fa 100644
--- a/source/ap/enscript/slack-desc
+++ b/source/ap/enscript/slack-desc
@@ -1,18 +1,18 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
enscript: enscript (converts text files to PostScript and other formats)
enscript:
enscript: Enscript converts text files to PostScript and spools the generated
-enscript: output to a printer or saves it to a file. If no input files are
-enscript: given, enscript processes standard input. Enscript can be extended to
+enscript: output to a printer or saves it to a file. If no input files are
+enscript: given, enscript processes standard input. Enscript can be extended to
enscript: handle different output media and it has many options for customizing
-enscript: printouts.
+enscript: printouts.
enscript:
enscript:
enscript: